Add URL
curl --request POST \
--url https://api.example.com/api/agents/{agentId}/knowledge/url \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"config": {}
}
'import requests
url = "https://api.example.com/api/agents/{agentId}/knowledge/url"
payload = {
"url": "<string>",
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', config: {}})
};
fetch('https://api.example.com/api/agents/{agentId}/knowledge/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"documentId": "<string>",
"jobId": "<string>"
}Knowledge Base
Add URL
POST
/
api
/
agents
/
{agentId}
/
knowledge
/
url
Add URL
Description
Add a URL to the knowledge base for scraping.Authentication
Required (API key or JWT token)Request Body
string
required
The URL to scrape
object
Scraping configuration (crawlDepth, maxPages, etc.)
Response
boolean
Whether URL was added successfully
string
ID of the created document
string
ID of the scraping job
Was this page helpful?
⌘I